Hashrate IndexAPI DocumentationAsic

Get Maximum ASIC Daily Profit

GET
/asic/max-asic-daily-profit

/asic/max-asic-daily-profit has rate limitation:

Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.

Maximum ASIC Daily Profit

This endpoint returns an estimate for the USD denominated profit earned per rig day for a Bitmain Antminer S19 XP ASIC rig (140 Th) under various all-in-sustaining-cost (AISC) assumptions ($/kWh).

Authorization

ApiKeyAuth
X-Hi-Api-Key<token>

In: header

Query Parameters

span?string

Time span

Default"1M"

Value in

  • "1D"
  • "7D"
  • "1M"
  • "3M"
  • "1Y"
  • "5Y"
  • "ALL"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/asic/max-asic-daily-profit?span=1D"
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/MaxRigProfitPerDayData.json",  "data": [    {      "allInSustainingCost": 0.1,      "dailyProfit": 0.1,      "operatingCost": 0.1,      "revenue": 0.1,      "timestamp": "2019-08-24T14:15:22Z"    }  ]}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}